> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Projects



## OpenAPI

````yaml POST /api/v1/task/projects
openapi: 3.1.0
info:
  title: Xenia Team API - Get Projects
  version: 1.0.0
  description: >-
    Fetch recurring task projects in a workspace with support for pagination,
    advanced filters, and status-based filtering.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/task/projects:
    post:
      tags:
        - Projects
      summary: Get Projects List
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                advanceFilters:
                  type: object
                  description: Advanced filters for querying projects
                  properties:
                    condition:
                      type: string
                      enum:
                        - AND
                        - OR
                    filters:
                      type: array
                      items:
                        type: object
                        properties:
                          filterName:
                            type: string
                            enum:
                              - assignees
                              - categories
                              - locations
                              - scheduleFrequency
                          comparator:
                            type: string
                            enum:
                              - is
                              - isNot
                          value:
                            type: array
                            items:
                              oneOf:
                                - type: string
                                  format: uuid
                                  description: >-
                                    For assignees, categories, and locations
                                    filters
                                  examples:
                                    - 123e4567-e89b-12d3-a456-426614174000
                                    - 987fcdeb-51a2-43d8-b4c6-987654321000
                                - type: string
                                  enum:
                                    - Daily
                                    - Weekly
                                    - Monthly
                                  description: For scheduleFrequency filter
                          conditional:
                            type: string
                            enum:
                              - and
                              - or
                        required:
                          - filterName
                          - comparator
                          - value
                  required:
                    - condition
                    - filters
                offset:
                  type: integer
                  example: 0
                limit:
                  type: integer
                  example: 100
                includeAll:
                  type: boolean
                  example: false
                status:
                  type: string
                  enum:
                    - ACTIVE
                    - PAUSED
                    - EXPIRED
                  description: Filter projects by status
              required:
                - offset
                - limit
            example:
              advanceFilters:
                condition: AND
                filters:
                  - filterName: assignees
                    comparator: is
                    value:
                      - dfea8b8a-5b22-4668-b68d-dc641eb3a101
                    conditional: and
                  - filterName: categories
                    comparator: is
                    value:
                      - 50d9f381-eba0-41b0-b26b-70a47a854252
                    conditional: and
                  - filterName: locations
                    comparator: is
                    value:
                      - a13ddb59-3e5c-4bdd-8673-fc913b93b9db
                    conditional: and
                  - filterName: scheduleFrequency
                    comparator: is
                    value:
                      - Daily
                      - Weekly
                      - Monthly
                    conditional: and
              offset: 0
              limit: 100
              includeAll: false
              status: ACTIVE
      responses:
        '200':
          description: List of filtered projects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectsListResponse'
        '400':
          description: Bad Request - Invalid filter parameters.
        '401':
          description: Unauthorized - Missing or invalid authentication.
        '403':
          description: Forbidden - Insufficient permissions to access projects.
        '500':
          description: Internal Server Error.
      security:
        - clientKey: []
          clientSecret: []
components:
  schemas:
    ProjectsListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              title:
                type: string
              createdAt:
                type: string
                format: date-time
              assignees:
                type: array
                items:
                  type: string
                  format: uuid
              assigneesRoles:
                type:
                  - array
                  - 'null'
              locationIds:
                type: array
                items:
                  type: string
                  format: uuid
              locationCount:
                type: string
              isPaused:
                type: boolean
              type:
                type: string
              state:
                type: string
              recurringTask:
                type: boolean
              timezone:
                type: string
              startDate:
                type: string
                format: date-time
              endDate:
                type: string
                format: date-time
              startTime:
                type: string
                format: date-time
              dueTime:
                type: string
                format: date-time
              requestThisTask:
                type: string
                enum:
                  - Daily
                  - Weekly
                  - Monthly
              intervalWeek:
                type: array
                items:
                  type: string
                  enum:
                    - Mon
                    - Tue
                    - Wed
                    - Thu
                    - Fri
                    - Sat
                    - Sun
              recurringByEvery:
                type: string
              anyTaskId:
                type: string
                format: uuid
              totalSchedules:
                type: string
              activeTasksCount:
                type: string
              completedTasksCount:
                type: string
              completionRate:
                type: string
              nextDueDate:
                type: string
                format: date-time
              nextDueTimezone:
                type: string
              calculatedNextDue:
                type: boolean
        extra_meta:
          type: object
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````